Loading...
Searching...
No Matches
AVFilterParams Struct Reference
libavfilter

Parameters describing a filter to be created in a filtergraph. More...

`#include <libavfilter/avfilter.h>`

## Data Fields

AVFilterContext * | filter
| The filter context.
char * | filter_name
| Name of the AVFilter to be used.
char * | instance_name
| Name to be used for this filter instance.
AVDictionary * | opts
| Options to be applied to the filter.
AVFilterPadParams ** | inputs
unsigned | nb_inputs
AVFilterPadParams ** | outputs
unsigned | nb_outputs

## Detailed Description

Parameters describing a filter to be created in a filtergraph.

Created as a child of AVFilterGraphSegment by avfilter_graph_segment_parse(). Freed in avfilter_graph_segment_free().

Definition at line 858 of file avfilter.h.

## Field Documentation

## filter

AVFilterContext* AVFilterParams::filter

The filter context.

Created by avfilter_graph_segment_create_filters() based on AVFilterParams.filter_name and instance_name.

Callers may also create the filter context manually, then they should av_free() filter_name and set it to NULL. Such AVFilterParams instances are then skipped by avfilter_graph_segment_create_filters().

Definition at line 869 of file avfilter.h.

## filter_name

char* AVFilterParams::filter_name

Name of the AVFilter to be used.

An av_malloc()'ed string, set by avfilter_graph_segment_parse(). Will be passed to avfilter_get_by_name() by avfilter_graph_segment_create_filters().

Callers may av_free() this string and replace it with another one or NULL. If the caller creates the filter instance manually, this string MUST be set to NULL.

When both AVFilterParams.filter an AVFilterParams.filter_name are NULL, this AVFilterParams instance is skipped by avfilter_graph_segment_*() functions.

Definition at line 886 of file avfilter.h.

## instance_name

char* AVFilterParams::instance_name

Name to be used for this filter instance.

An av_malloc()'ed string, may be set by avfilter_graph_segment_parse() or left NULL. The caller may av_free() this string and replace with another one or NULL.

Will be used by avfilter_graph_segment_create_filters() - passed as the third argument to avfilter_graph_alloc_filter(), then freed and set to NULL.

Definition at line 898 of file avfilter.h.

## opts

AVDictionary* AVFilterParams::opts

Options to be applied to the filter.

Filled by avfilter_graph_segment_parse(). Afterwards may be freely modified by the caller.

Will be applied to the filter by avfilter_graph_segment_apply_opts() with an equivalent of av_opt_set_dict2(filter, &opts, AV_OPT_SEARCH_CHILDREN), i.e. any unapplied options will be left in this dictionary.

Definition at line 910 of file avfilter.h.

## inputs

AVFilterPadParams** AVFilterParams::inputs

Definition at line 912 of file avfilter.h.

## nb_inputs

unsigned AVFilterParams::nb_inputs

Definition at line 913 of file avfilter.h.

## outputs

AVFilterPadParams** AVFilterParams::outputs

Definition at line 915 of file avfilter.h.

## nb_outputs

unsigned AVFilterParams::nb_outputs

Definition at line 916 of file avfilter.h.

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h